## org.jboss.util
Interface InfoMBean

All Known Implementing Classes:
  Info

public interface InfoMBean

<description>

Version:
  $Revision: 1.2.6.2 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)
See Also:
  <related>

Method Summary
`java.lang.String` `displayPackageInfo(java.lang.String pkgName)` Display the java.lang.Package info for the pkgName
`java.lang.String` `listMemoryUsage()`
`java.lang.String` `listSystemInfo()`
`java.lang.String` `listThreadDump()`
`java.lang.String` `runGarbageCollector()`
`void` `traceInstructions(boolean flag)`
`void` `traceMethodCalls(boolean flag)`

Method Detail

### listMemoryUsage

    public java.lang.String listMemoryUsage()

### listSystemInfo

    public java.lang.String listSystemInfo()

### listThreadDump

    public java.lang.String listThreadDump()

### runGarbageCollector

    public java.lang.String runGarbageCollector()

### displayPackageInfo

    public java.lang.String displayPackageInfo(java.lang.String pkgName)

  Display the java.lang.Package info for the pkgName

### traceMethodCalls

    public void traceMethodCalls(boolean flag)

### traceInstructions

    public void traceInstructions(boolean flag)

Copyright © 2000 The JBoss Organization. All Rights Reserved.